org.jfree.chart.labels

## Interface PieToolTipGenerator

All Known Implementing Classes:
  StandardPieToolTipGenerator

    public interface PieToolTipGenerator

A tool tip generator that is used by the `PiePlot` class.

### Method Summary

Methods
`java.lang.String` `generateToolTip(PieDataset dataset, java.lang.Comparable key)` Generates a tool tip text item for the specified item in the dataset.

### Method Detail

#### generateToolTip

    java.lang.String generateToolTip(PieDataset dataset,
                                   java.lang.Comparable key)

Generates a tool tip text item for the specified item in the dataset. This method can return `null` to indicate that no tool tip should be displayed for an item.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `key` - the section key (`null` not permitted).
Returns:
  The tool tip text (possibly `null`).